# Fesslix - Stochastic Analysis
# Copyright (C) 2010-2017 Wolfgang Betz
#
# Fesslix is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Fesslix is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 

# - Try to find Fesslix (development)
# Once done this will define
#  FLXEIGEN_FOUND - System has Fesslix
#  FLXEIGEN_INCLUDE_DIRS - The Fesslix include directories
#  FLXEIGEN_LIBRARIES - The libraries needed to use Fesslix
#  FLXEIGEN_LIB_DIR - The directory containing Fesslix libraries

find_package(PkgConfig)
pkg_check_modules(PC_FLXEIGEN QUIET liboctave)

find_path(FLXEIGEN_INCLUDE_DIR "flxMtx_Eigen.h"
          HINTS ${FLXLIB_INCLUDE_DIR} ${FLXLIB_INCLUDE_DIR}/../../flxeigen/src $ENV{HOME}/projects/flx_attach/flxeigen/src $ENV{HOME}/projects/flxeigen/src $ENV{PWD}/../../flxeigen/src ${PC_FLXEIGEN_INCLUDEDIR} ${PC_FLXEIGEN_INCLUDE_DIRS} 
          PATH_SUFFIXES "fesslix/"
          DOC "Directory of the Fesslix-headers"
          )

FIND_LIBRARY(FLXEIGEN_LIBRARY_FUNCTION flxeigen 
	  HINTS ${FLXEIGEN_INCLUDE_DIR} ${FLXEIGEN_INCLUDE_DIR}/../lib ${FLXEIGEN_INCLUDE_DIR}/../build/src/ $ENV{HOME}/apps/lib ${FLXEIGEN_INCLUDE_DIR}/../ ${PC_FLXEIGEN_LIBDIR} ${PC_FLXEIGEN_LIBRARY_DIRS}
	  DOC "Path to library flxeigen.so"
	  )

get_filename_component(FLXEIGEN_LIB_DIR ${FLXEIGEN_LIBRARY_FUNCTION} PATH)

set(FLXEIGEN_LIBRARY ${FLXEIGEN_LIBRARY_FUNCTION} )
set(FLXEIGEN_LIBRARIES ${FLXEIGEN_LIBRARY} )
set(FLXEIGEN_INCLUDE_DIRS ${FLXEIGEN_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Flxeigen  DEFAULT_MSG
                                  FLXEIGEN_LIBRARY FLXEIGEN_LIB_DIR FLXEIGEN_INCLUDE_DIR)

mark_as_advanced(
  FLXEIGEN_INCLUDE_DIR 
  FLXEIGEN_LIBRARY 
  FLXEIGEN_LIBRARY_KERNEL
  FLXEIGEN_LIB_DIR
)

