# Fesslix - Stochastic Analysis
# Copyright (C) 2010-2017 Wolfgang Betz
#
# Fesslix is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# Fesslix is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 

# - Try to find Fesslix (development)
# Once done this will define
#  FLXLIB_FOUND - System has Fesslix
#  FLXLIB_INCLUDE_DIRS - The Fesslix include directories
#  FLXLIB_LIBRARIES - The libraries needed to use Fesslix
#  FLXLIB_LIB_DIR - The directory containing Fesslix libraries

find_package(PkgConfig)
pkg_check_modules(PC_FLXLIB QUIET liboctave)

find_path(FLXLIB_INCLUDE_DIR "flxexception.h"
          HINTS $ENV{HOME}/projects/flx_attach/flxlib/src $ENV{HOME}/projects/flxlib/src $ENV{PWD}/../../flxlib/src ${PC_FLXLIB_INCLUDEDIR} ${PC_FLXLIB_INCLUDE_DIRS} 
          PATH_SUFFIXES "fesslix/"
          DOC "Directory of the Flxlib-headers"
          )

if(UNIX)
  FIND_LIBRARY(FLXLIB_LIBRARY_FUNCTION flxfunction 
	  HINTS ${FLXLIB_INCLUDE_DIR} ${FLXLIB_INCLUDE_DIR}/../lib ${FLXLIB_INCLUDE_DIR}/../build/src/ $ENV{HOME}/apps/lib ${FLXLIB_INCLUDE_DIR}/../ ${PC_FLXLIB_LIBDIR} ${PC_FLXLIB_LIBRARY_DIRS} 
	  DOC "Path to library flxfunction.so"
	  )
else()
  FIND_LIBRARY(FLXLIB_LIBRARY_FUNCTION flxlib 
	  HINTS ${PC_FLXLIB_LIBDIR} ${PC_FLXLIB_LIBRARY_DIRS} ${FLXLIB_INCLUDE_DIR} ${FLXLIB_INCLUDE_DIR}/../lib ${FLXLIB_INCLUDE_DIR}/../build/src/ $ENV{HOME}/apps/lib ${FLXLIB_INCLUDE_DIR}/../
	  DOC "Path to library flxlib.dll"
	  )
endif()

get_filename_component(FLXLIB_LIB_DIR ${FLXLIB_LIBRARY_FUNCTION} PATH)

set(FLXLIB_LIBRARY ${FLXLIB_LIBRARY_FUNCTION} )
if(UNIX)
  set(FLXLIB_LIBRARIES ${FLXLIB_LIB_DIR}/libflxio.so ${FLXLIB_LIB_DIR}/libflxmtx.so ${FLXLIB_LIB_DIR}/libflxfunction.so ${FLXLIB_LIB_DIR}/libflxostools.so )
else()
  set(FLXLIB_LIBRARIES ${FLXLIB_LIBRARY_FUNCTION} )
endif()
set(FLXLIB_INCLUDE_DIRS ${FLXLIB_INCLUDE_DIR} )

include(FindPackageHandleStandardArgs)
# handle the QUIETLY and REQUIRED arguments and set LIBXML2_FOUND to TRUE
# if all listed variables are TRUE
find_package_handle_standard_args(Flxlib  DEFAULT_MSG
                                  FLXLIB_LIBRARY FLXLIB_LIB_DIR FLXLIB_INCLUDE_DIR)

mark_as_advanced(
  FLXLIB_INCLUDE_DIR 
  FLXLIB_LIBRARY 
  FLXLIB_LIBRARY_KERNEL
  FLXLIB_LIB_DIR
)

