/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxvi_flxvi_cmdbar_H
#define flxvi_flxvi_cmdbar_H

#include "flxvidlgs.h"



class FlxViCmdBar : public FlxViObj_Base {
  private:
    WINDOW* win_cmdbar;
    
    /**
    * @brief cleans the window win_vi_cmd
    * @param isstart 0: passiv; 1: active; 2: error
    */
    void win_vi_cmd_clean(int isstart=0,std::string txt="",int strpos=-1);	//  the window win_vi_cmd;    
  public:
    /**
    * @brief creates the cmdbar-interface
    * @param y y-coordinate of the upper left corner of the window
    * @param x x-coordinate of the upper left corner of the window
    * @param sx width of the window
    */
    FlxViCmdBar(int y, int x, int sx);
    ~FlxViCmdBar();
    
    void updateWindow(bool doupdateB=false);
    const std::string activate() { return ""; }
    
    /**
    * @brief reads user-input
    * @return the flxvim-user-input-command
    */
    void input_loop(std::string &strinput, bool extentedCMD=false);
    /**
    * @brief prints an error message because of an unknown vi_command
    */
    void vi_cmd_error(std::string errIndex, std::string errmsg);
    /**
    * @brief deletes the currently displayed error message
    */
    void reset_error();
    
};






#endif // flxvi_flxvi_cmdbar_H

