/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include "flxvi_global.h"





void mend_cmd(std::string& cmd)
{
  while (cmd.length()>0 && (cmd[0]==' ' || cmd[0]=='\t')) {
    cmd.erase(0,1);
  }
  while (cmd.length()>0 && (cmd[cmd.length()-1]==' ' || cmd[cmd.length()-1]=='\t')) {
    cmd.erase(cmd.length()-1,1);
  }
}

void win_replot_border(tWINDOWPtr& win_dlg)
{
  wborder(win_dlg, ACS_VLINE, ACS_VLINE, ACS_HLINE, ACS_HLINE, ACS_ULCORNER, ACS_URCORNER, ACS_LLCORNER, ACS_LRCORNER);
}

void create_win(tWINDOWPtr& win_dlg, int y, int x, int sy, int sx, chtype ColorType, bool printBorder)
{
  win_dlg = newwin(sy,sx,y,x);
    wbkgd(win_dlg,ColorType);
  if (printBorder) {
    win_replot_border(win_dlg);
  }
}

void clear_win(WINDOW* win_dlg, bool has_border)
{
  int r,c,j=0;
  getmaxyx(win_dlg,r,c);
  char c_array[200] = "                                                                                                                                                                                                     ";
  if (has_border) {
    ++j;
    --r;
    c-=2;
  }
  for (int i=j;i<r;++i) {
    mvwaddnstr(win_dlg,i,j,c_array,c);
  }
}

