/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxvi_flxvi_global_H
#define flxvi_flxvi_global_H


#include <string>
#include <curses.h>

typedef WINDOW* tWINDOWPtr;



/**
* @brief deletes spaces before and after the command (string)
*/
void mend_cmd(std::string &cmd);
/**
* @brief plots the border of a window
*/
void win_replot_border(tWINDOWPtr &win_dlg);
/**
* @brief creates a window - including its border
* @param win_dlg pointer to the window to create
* @param y y-coordinate of the upper left corner of the window
* @param x x-coordinate of the upper left corner of the window
* @param sy height of the window
* @param sx width of the window
* @param ColorType color-scheme to use 
*/
void create_win(tWINDOWPtr &win_dlg, int y, int x, int sy, int sx, chtype ColorType, bool printBorder=true);
/**
* @brief clears the window
*/
void clear_win(WINDOW* win_dlg,bool has_border=false);




#endif // flxvi_flxvi_global_H
