/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxvi_flxvi_objbase_H
#define flxvi_flxvi_objbase_H
#define flxvi_flxvi

#include "flxglobaldef.h"
#include "flxvi_global.h"



class FlxViManager_base {
  public:
    virtual ~FlxViManager_base() {}
    virtual void updateScreen() = 0;
    virtual void throw_CMDerror(const std::string &errIndex, const std::string &errmsg) = 0;
    virtual void reset_error() = 0;
    virtual void do_log() = 0;
};


/**
* @brief the base class for all vi-Objects
*/
class FlxViObj_Base {
  protected:
    static FlxViManager_base* viManager_ptr;
  public:
    virtual ~FlxViObj_Base() {}
    /**
    * @brief activates this interface
    */
    virtual const std::string activate() = 0;
    /**
    * @brief Redraws this window
    */
    virtual void updateWindow(bool doupdateB=false) = 0;
    
    static void set_viManager(FlxViManager_base* viMbT);
};



#endif // flxvi_flxvi_objbase_H
