/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include "flxvi_titlebar.h"



FlxViTitle::FlxViTitle(int y, int x, int sy, int sx, const std::string FlxVersionStr, const std::string FlxViVersionStr)
{
  create_win(win_title,y,x,sy,sx,COLOR_PAIR(2),false);
  std::string ts = "Fesslix [" + FlxVersionStr + "]\t\t";
  wprintw(win_title,ts.c_str());
  wattron(win_title,A_BOLD);
  wprintw(win_title,"FlxVi");
  wattroff(win_title,A_BOLD);
  ts = " [" + FlxViVersionStr + "]";
  wprintw(win_title,ts.c_str());
  mvwchgat(win_title,0,0,7,A_BOLD,2,NULL);
}

FlxViTitle::~FlxViTitle()
{
  delwin(win_title);
}

void FlxViTitle::updateWindow(bool doupdateB)
{
  touchwin(win_title);
  wnoutrefresh(win_title);
  if (doupdateB) doupdate();
}

