/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#ifndef flxvi_flxvi_titlebar_H
#define flxvi_flxvi_titlebar_H

#include "flxvidlgs.h"



class FlxViTitle : public FlxViObj_Base {
  private:
    WINDOW* win_title;
  public:
    /**
    * @brief creates the title-window-bar
    * @param y y-coordinate of the upper left corner of the window
    * @param x x-coordinate of the upper left corner of the window
    * @param sy height of the window
    * @param sx width of the window
    */
    FlxViTitle(int y, int x, int sy, int sx, const std::string FlxVersionStr, const std::string FlxViVersionStr);
    ~FlxViTitle();
    
    const std::string activate() { return ""; }
    void updateWindow(bool doupdateB=false);
};




#endif // flxvi_flxvi_titlebar_H