/* Fesslix - Stochastic Analysis
 * Copyright (C) 2010-2017 Wolfgang Betz
 *
 * Fesslix is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Fesslix is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Fesslix.  If not, see <http://www.gnu.org/licenses/>. 
 */

#include "flxvidlgs.h"


bool FlxViDialogs::DlgQuit()
{
  // Draw the basic window
    int NC_ROW, rh=4, NC_COL, ch=22;
    getmaxyx(stdscr,NC_ROW,NC_COL);
    NC_ROW=(NC_ROW-rh)/2;
    NC_COL=(NC_COL-ch)/2;
    WINDOW *win_vi_quit;
    create_win(win_vi_quit,NC_ROW,NC_COL,rh,ch,COLOR_PAIR(5));

  bool doquit = false;
    
  // Add contents to the dialog
    mvwprintw(win_vi_quit,1,1,"Really quit Fesslix?");
    
  while (true) {
    // set-up the buttons
      int cp;
      cp = doquit?1:5;
      wattrset(win_vi_quit,COLOR_PAIR(cp));
      mvwprintw(win_vi_quit,2,3,"[Yes]");
      cp = (!doquit)?1:5;
      wattrset(win_vi_quit,COLOR_PAIR(cp));
      mvwprintw(win_vi_quit,2,14,"[No]");
      wrefresh(win_vi_quit);
    // parse the user-input
      int ch = getch();
      if ( ch==13 || ch==10 || ch==' ' ) {
	erase_win(win_vi_quit,true);
	return doquit;
      } else if (ch==27) {
	erase_win(win_vi_quit,true);
	return false;
      } else if ( ch==KEY_LEFT || ch==KEY_RIGHT || ch==9 ) {
	doquit= !doquit;
      }
  }
}

void FlxViDialogs::erase_win(WINDOW* win_dlg, bool UpdateScreen)
{
  wattrset(win_dlg,COLOR_PAIR(1));
  // erase the contents of the window
    clear_win(win_dlg);
    wborder(win_dlg, ' ', ' ', ' ',' ',' ',' ',' ',' ');
    wrefresh(win_dlg);
  delwin(win_dlg);
  if (UpdateScreen) viManager_ptr->updateScreen();
}





